Index: /palm/trunk/SOURCE/flow_statistics.f90
===================================================================
--- /palm/trunk/SOURCE/flow_statistics.f90	(revision 1321)
+++ /palm/trunk/SOURCE/flow_statistics.f90	(revision 1322)
@@ -21,5 +21,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! REAL constants defined as wp-kind
 !
 ! Former revisions:
@@ -1193,5 +1193,5 @@
           dptdz(k) = ( hom(k,1,4,sr) - hom(k-1,1,4,sr) ) * ddzu(k)
        ENDDO
-       dptdz_threshold = 0.2 / 100.0
+       dptdz_threshold = 0.2_wp / 100.0_wp
 
        IF ( ocean )  THEN
@@ -2859,5 +2859,5 @@
           dptdz(k) = ( hom(k,1,4,sr) - hom(k-1,1,4,sr) ) * ddzu(k)
        ENDDO
-       dptdz_threshold = 0.2 / 100.0
+       dptdz_threshold = 0.2_wp / 100.0_wp
 
        IF ( ocean )  THEN
Index: /palm/trunk/SOURCE/header.f90
===================================================================
--- /palm/trunk/SOURCE/header.f90	(revision 1321)
+++ /palm/trunk/SOURCE/header.f90	(revision 1322)
@@ -20,5 +20,6 @@
 ! Current revisions:
 ! -----------------
-! 
+! REAL functions provided with KIND-attribute,
+! some REAL constants defined as wp-kind
 !
 ! Former revisions:
@@ -454,7 +455,7 @@
     WRITE ( io, 203 )  simulated_time_at_begin, end_time
 
-    IF ( time_restart /= 9999999.9  .AND. &
+    IF ( time_restart /= 9999999.9_wp  .AND. &
          simulated_time_at_begin == simulated_time )  THEN
-       IF ( dt_restart == 9999999.9 )  THEN
+       IF ( dt_restart == 9999999.9_wp )  THEN
           WRITE ( io, 204 )  ' Restart at:       ',time_restart
        ELSE
@@ -472,9 +473,9 @@
                                               simulated_time_at_begin )
        ENDIF
-       WRITE ( io, 206 )  simulated_time, log_point_s(10)%sum, &
-                          log_point_s(10)%sum / REAL( i ),     &
+       WRITE ( io, 206 )  simulated_time, log_point_s(10)%sum,      &
+                          log_point_s(10)%sum / REAL( i, KIND=wp ), &
                           cpuseconds_per_simulated_second
-       IF ( time_restart /= 9999999.9  .AND.  time_restart < end_time )  THEN
-          IF ( dt_restart == 9999999.9 )  THEN
+       IF ( time_restart /= 9999999.9_wp  .AND.  time_restart < end_time )  THEN
+          IF ( dt_restart == 9999999.9_wp )  THEN
              WRITE ( io, 204 )  ' Next restart at:     ',time_restart
           ELSE
@@ -524,5 +525,5 @@
           bh  = INT( building_height / dz )
 
-          IF ( building_wall_left == 9999999.9 )  THEN
+          IF ( building_wall_left == 9999999.9_wp )  THEN
              building_wall_left = ( nx + 1 - blx ) / 2 * dx
           ENDIF
@@ -530,5 +531,5 @@
           bxr = bxl + blx
 
-          IF ( building_wall_south == 9999999.9 )  THEN
+          IF ( building_wall_south == 9999999.9_wp )  THEN
              building_wall_south = ( ny + 1 - bly ) / 2 * dy
           ENDIF
@@ -541,9 +542,9 @@
        CASE ( 'single_street_canyon' )
           ch  = NINT( canyon_height / dz )
-          IF ( canyon_width_x /= 9999999.9 )  THEN
+          IF ( canyon_width_x /= 9999999.9_wp )  THEN
 !
 !--          Street canyon in y direction
              cwx = NINT( canyon_width_x / dx )
-             IF ( canyon_wall_left == 9999999.9 )  THEN
+             IF ( canyon_wall_left == 9999999.9_wp )  THEN
                 canyon_wall_left = ( nx + 1 - cwx ) / 2 * dx
              ENDIF
@@ -552,9 +553,9 @@
              WRITE ( io, 272 )  'y', canyon_height, ch, 'u', cxl, cxr
 
-          ELSEIF ( canyon_width_y /= 9999999.9 )  THEN
+          ELSEIF ( canyon_width_y /= 9999999.9_wp )  THEN
 !
 !--          Street canyon in x direction
              cwy = NINT( canyon_width_y / dy )
-             IF ( canyon_wall_south == 9999999.9 )  THEN
+             IF ( canyon_wall_south == 9999999.9_wp )  THEN
                 canyon_wall_south = ( ny + 1 - cwy ) / 2 * dy
              ENDIF
@@ -1188,5 +1189,5 @@
 !
 !-- Timeseries
-    IF ( dt_dots /= 9999999.9 )  THEN
+    IF ( dt_dots /= 9999999.9_wp )  THEN
        WRITE ( io, 340 )
 
@@ -1202,5 +1203,5 @@
 !
 !-- Dvrp-output
-    IF ( dt_dvrp /= 9999999.9 )  THEN
+    IF ( dt_dvrp /= 9999999.9_wp )  THEN
        WRITE ( io, 360 )  dt_dvrp, TRIM( dvrp_output ), TRIM( dvrp_host ), &
                           TRIM( dvrp_username ), TRIM( dvrp_directory )
@@ -1254,5 +1255,5 @@
 !
 !-- Spectra output
-    IF ( dt_dosp /= 9999999.9 )  THEN
+    IF ( dt_dosp /= 9999999.9_wp )  THEN
        WRITE ( io, 370 )
 
@@ -1377,5 +1378,5 @@
 !
 !-- Initial wind profiles
-    IF ( u_profile(1) /= 9999999.9 )  WRITE ( io, 427 )
+    IF ( u_profile(1) /= 9999999.9_wp )  WRITE ( io, 427 )
 
 !
@@ -1627,5 +1628,5 @@
           ENDIF
        ENDIF
-       IF ( dt_write_particle_data /= 9999999.9 )  THEN
+       IF ( dt_write_particle_data /= 9999999.9_wp )  THEN
           WRITE ( io, 485 )  dt_write_particle_data
           output_format = ' '
@@ -1641,5 +1642,5 @@
           WRITE ( io, 344 )  output_format
        ENDIF
-       IF ( dt_dopts /= 9999999.9 )  WRITE ( io, 494 )  dt_dopts
+       IF ( dt_dopts /= 9999999.9_wp )  WRITE ( io, 494 )  dt_dopts
        IF ( write_particle_statistics )  WRITE ( io, 486 )
 
@@ -1647,5 +1648,5 @@
 
        DO  i = 1, number_of_particle_groups
-          IF ( i == 1  .AND.  density_ratio(i) == 9999999.9 )  THEN
+          IF ( i == 1  .AND.  density_ratio(i) == 9999999.9_wp )  THEN
              WRITE ( io, 490 )  i, 0.0
              WRITE ( io, 492 )
Index: /palm/trunk/SOURCE/init_1d_model.f90
===================================================================
--- /palm/trunk/SOURCE/init_1d_model.f90	(revision 1321)
+++ /palm/trunk/SOURCE/init_1d_model.f90	(revision 1322)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! REAL functions provided with KIND-attribute
 !
 ! Former revisions:
@@ -777,5 +777,5 @@
           energy = energy + 0.5 * ( u1d(k)**2 + v1d(k)**2 )
        ENDDO
-       energy = energy / REAL( nzt - nzb + 1 )
+       energy = energy / REAL( nzt - nzb + 1, KIND=wp )
 
        uv_total = SQRT( u1d(nzb+1)**2 + v1d(nzb+1)**2 )
Index: /palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- /palm/trunk/SOURCE/init_3d_model.f90	(revision 1321)
+++ /palm/trunk/SOURCE/init_3d_model.f90	(revision 1322)
@@ -20,6 +20,5 @@
 ! Current revisions:
 ! ------------------
-! 
-!
+! REAL constants defined as wp-kind
 ! module interfaces removed
 !
@@ -1604,19 +1603,19 @@
     IF ( TRIM(timestep_scheme) == 'runge-kutta-3' )  THEN      ! for RK3-method
 
-       weight_substep(1) = 1./6.
-       weight_substep(2) = 3./10.
-       weight_substep(3) = 8./15.
-
-       weight_pres(1)    = 1./3.
-       weight_pres(2)    = 5./12.
-       weight_pres(3)    = 1./4.
+       weight_substep(1) = 1._wp/6._wp
+       weight_substep(2) = 3._wp/10._wp
+       weight_substep(3) = 8._wp/15._wp
+
+       weight_pres(1)    = 1._wp/3._wp
+       weight_pres(2)    = 5._wp/12._wp
+       weight_pres(3)    = 1._wp/4._wp
 
     ELSEIF ( TRIM(timestep_scheme) == 'runge-kutta-2' )  THEN  ! for RK2-method
 
-       weight_substep(1) = 1./2.
-       weight_substep(2) = 1./2.
+       weight_substep(1) = 1._wp/2._wp
+       weight_substep(2) = 1._wp/2._wp
           
-       weight_pres(1)    = 1./2.
-       weight_pres(2)    = 1./2.        
+       weight_pres(1)    = 1._wp/2._wp
+       weight_pres(2)    = 1._wp/2._wp        
 
     ELSE                                     ! for Euler-method
@@ -1671,6 +1670,6 @@
           DO  k = dp_level_ind_b+1, nzt
              dp_smooth_factor(k) = 0.5 * ( 1.0 + SIN( pi * &
-                  ( REAL( k - dp_level_ind_b ) /  &
-                    REAL( nzt - dp_level_ind_b ) - 0.5 ) ) )
+                  ( REAL( k - dp_level_ind_b, KIND=wp ) /  &
+                    REAL( nzt - dp_level_ind_b, KIND=wp ) - 0.5 ) ) )
           ENDDO
        ENDIF
@@ -1686,7 +1685,7 @@
        DO  i = nxl, nxr
           IF ( ( i * dx ) < pt_damping_width )  THEN
-             ptdf_x(i) = pt_damping_factor * ( SIN( pi * 0.5 *        &
-                         REAL( pt_damping_width - i * dx ) / (        &
-                         REAL( pt_damping_width )            ) ) )**2 
+             ptdf_x(i) = pt_damping_factor * ( SIN( pi * 0.5 *              &
+                         REAL( pt_damping_width - i * dx, KIND=wp ) / (                 &
+                         REAL( pt_damping_width, KIND=wp )            ) ) )**2 
           ENDIF
        ENDDO
@@ -1694,7 +1693,8 @@
        DO  i = nxl, nxr
           IF ( ( i * dx ) > ( nx * dx - pt_damping_width ) )  THEN
-             ptdf_x(i) = pt_damping_factor *                                      &
-                         SIN( pi * 0.5 * ( ( i - nx ) * dx + pt_damping_width ) / &
-                                         REAL( pt_damping_width ) )**2
+             ptdf_x(i) = pt_damping_factor *                                   &
+                         SIN( pi * 0.5 *                                       &
+                              ( ( i - nx ) * dx + pt_damping_width ) /         &
+                              REAL( pt_damping_width, KIND=wp ) )**2
           ENDIF
        ENDDO 
@@ -1702,7 +1702,8 @@
        DO  j = nys, nyn
           IF ( ( j * dy ) > ( ny * dy - pt_damping_width ) )  THEN
-             ptdf_y(j) = pt_damping_factor *                                      &
-                         SIN( pi * 0.5 * ( ( j - ny ) * dy + pt_damping_width ) / &
-                                         REAL( pt_damping_width ) )**2
+             ptdf_y(j) = pt_damping_factor *                                   &
+                         SIN( pi * 0.5 *                                       &
+                              ( ( j - ny ) * dy + pt_damping_width ) /         &
+                              REAL( pt_damping_width, KIND=wp ) )**2
           ENDIF
        ENDDO 
@@ -1710,7 +1711,8 @@
        DO  j = nys, nyn
           IF ( ( j * dy ) < pt_damping_width )  THEN
-             ptdf_y(j) = pt_damping_factor *                             &
-                         SIN( pi * 0.5 * ( pt_damping_width - j * dy ) / &
-                                         REAL( pt_damping_width ) )**2
+             ptdf_y(j) = pt_damping_factor *                                   &
+                         SIN( pi * 0.5 *                                       &
+                             ( pt_damping_width - j * dy ) /                   &
+                             REAL( pt_damping_width, KIND=wp ) )**2
           ENDIF
        ENDDO
Index: /palm/trunk/SOURCE/init_advec.f90
===================================================================
--- /palm/trunk/SOURCE/init_advec.f90	(revision 1321)
+++ /palm/trunk/SOURCE/init_advec.f90	(revision 1322)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! REAL constants defined as wp-kind
 !
 ! Former revisions:
@@ -85,5 +85,5 @@
        ALLOCATE( aex(intervals), bex(intervals), dex(intervals), eex(intervals) )
 
-       delt  = 1.0 / REAL( intervals )
+       delt  = 1.0_wp / REAL( intervals, KIND=wp )
        sterm = delt * 0.5
 
Index: /palm/trunk/SOURCE/init_cloud_physics.f90
===================================================================
--- /palm/trunk/SOURCE/init_cloud_physics.f90	(revision 1321)
+++ /palm/trunk/SOURCE/init_cloud_physics.f90	(revision 1322)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! REAL constants defined as wp-kind
 !
 ! Former revisions:
@@ -96,5 +96,5 @@
     l_d_rv = l_v / r_v
 
-    schmidt_p_1d3 = schmidt**( 1.0 / 3.0 )
+    schmidt_p_1d3 = schmidt**( 1.0_wp / 3.0_wp )
 
     pirho_l  = pi * rho_l / 6.0
@@ -125,5 +125,5 @@
        ENDIF
        hyp(k)    = surface_pressure * 100.0 * &
-                   ( (t_surface - g/cp * zu(k)) / t_surface )**(1.0/0.286)
+                   ( (t_surface - g/cp * zu(k)) / t_surface )**(1.0_wp/0.286_wp)
        pt_d_t(k) = ( 100000.0 / hyp(k) )**0.286
        t_d_pt(k) = 1.0 / pt_d_t(k)
Index: /palm/trunk/SOURCE/init_dvrp.f90
===================================================================
--- /palm/trunk/SOURCE/init_dvrp.f90	(revision 1321)
+++ /palm/trunk/SOURCE/init_dvrp.f90	(revision 1322)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! REAL constants defined as wp-kind
 !
 ! Former revisions:
@@ -710,13 +710,13 @@
 !--       Define a default colourtable for particles
           DO  i = 1, 11
-             interval_values_dvrp_prt(1,i) = i - 1.0
-             interval_values_dvrp_prt(2,i) = REAL( i )
-             interval_h_dvrp_prt(:,i) = 270.0 - ( i - 1.0 ) * 9.0
+             interval_values_dvrp_prt(1,i) = i - 1.0_wp
+             interval_values_dvrp_prt(2,i) = REAL( i, KIND=wp )
+             interval_h_dvrp_prt(:,i) = 270.0_wp - ( i - 1.0_wp ) * 9.0_wp
           ENDDO
 
           DO  i = 12, 22
-             interval_values_dvrp_prt(1,i) = i - 1.0
-             interval_values_dvrp_prt(2,i) = REAL( i )
-             interval_h_dvrp_prt(:,i) = 70.0 - ( i - 12.0 ) * 9.5
+             interval_values_dvrp_prt(1,i) = i - 1.0_wp
+             interval_values_dvrp_prt(2,i) = REAL( i, KIND=wp )
+             interval_h_dvrp_prt(:,i) = 70.0_wp - ( i - 12.0_wp ) * 9.5_wp
           ENDDO
 
Index: /palm/trunk/SOURCE/init_grid.f90
===================================================================
--- /palm/trunk/SOURCE/init_grid.f90	(revision 1321)
+++ /palm/trunk/SOURCE/init_grid.f90	(revision 1322)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! REAL constants defined as wp-kind
 !
 ! Former revisions:
@@ -377,5 +377,5 @@
 !-- Compute the grid-dependent mixing length.
     DO  k = 1, nzt
-       l_grid(k)  = ( dx * dy * dzw(k) )**0.33333333333333
+       l_grid(k)  = ( dx * dy * dzw(k) )**0.33333333333333_wp
     ENDDO
 
@@ -516,5 +516,5 @@
           bh  = NINT( building_height / dz )
 
-          IF ( building_wall_left == 9999999.9 )  THEN
+          IF ( building_wall_left == 9999999.9_wp )  THEN
              building_wall_left = ( nx + 1 - blx ) / 2 * dx
           ENDIF
@@ -522,5 +522,5 @@
           bxr = bxl + blx
 
-          IF ( building_wall_south == 9999999.9 )  THEN
+          IF ( building_wall_south == 9999999.9_wp )  THEN
              building_wall_south = ( ny + 1 - bly ) / 2 * dy
           ENDIF
@@ -547,9 +547,9 @@
 !--       Single quasi-2D street canyon of infinite length in x or y direction.
 !--       The canyon is centered in the other direction by default.
-          IF ( canyon_width_x /= 9999999.9 )  THEN
+          IF ( canyon_width_x /= 9999999.9_wp )  THEN
 !
 !--          Street canyon in y direction
              cwx = NINT( canyon_width_x / dx )
-             IF ( canyon_wall_left == 9999999.9 )  THEN
+             IF ( canyon_wall_left == 9999999.9_wp )  THEN
                 canyon_wall_left = ( nx + 1 - cwx ) / 2 * dx
              ENDIF
@@ -557,9 +557,9 @@
              cxr = cxl + cwx
 
-          ELSEIF ( canyon_width_y /= 9999999.9 )  THEN
+          ELSEIF ( canyon_width_y /= 9999999.9_wp )  THEN
 !
 !--          Street canyon in x direction
              cwy = NINT( canyon_width_y / dy )
-             IF ( canyon_wall_south == 9999999.9 )  THEN
+             IF ( canyon_wall_south == 9999999.9_wp )  THEN
                 canyon_wall_south = ( ny + 1 - cwy ) / 2 * dy
              ENDIF
@@ -578,5 +578,5 @@
 !
 !--       Street canyon size has to meet some requirements
-          IF ( canyon_width_x /= 9999999.9 )  THEN
+          IF ( canyon_width_x /= 9999999.9_wp )  THEN
              IF ( ( cxl < 1 ) .OR. ( cxr > nx-1 ) .OR. ( cwx < 3 ) .OR.  &
                ( ch < 3 ) )  THEN
@@ -587,5 +587,5 @@
                 CALL message( 'init_grid', 'PA0205', 1, 2, 0, 6, 0 ) 
              ENDIF
-          ELSEIF ( canyon_width_y /= 9999999.9 )  THEN
+          ELSEIF ( canyon_width_y /= 9999999.9_wp )  THEN
              IF ( ( cys < 1 ) .OR. ( cyn > ny-1 ) .OR. ( cwy < 3 ) .OR.  &
                ( ch < 3 ) )  THEN
@@ -597,5 +597,5 @@
              ENDIF
           ENDIF
-          IF ( canyon_width_x /= 9999999.9 .AND. canyon_width_y /= 9999999.9 ) &
+          IF ( canyon_width_x /= 9999999.9_wp .AND. canyon_width_y /= 9999999.9_wp ) &
                THEN
              message_string = 'inconsistent canyon parameters:' //     &  
@@ -606,7 +606,7 @@
 
           nzb_local = ch
-          IF ( canyon_width_x /= 9999999.9 )  THEN
+          IF ( canyon_width_x /= 9999999.9_wp )  THEN
              nzb_local(:,cxl+1:cxr-1) = 0
-          ELSEIF ( canyon_width_y /= 9999999.9 )  THEN
+          ELSEIF ( canyon_width_y /= 9999999.9_wp )  THEN
              nzb_local(cys+1:cyn-1,:) = 0
           ENDIF
Index: /palm/trunk/SOURCE/init_ocean.f90
===================================================================
--- /palm/trunk/SOURCE/init_ocean.f90	(revision 1321)
+++ /palm/trunk/SOURCE/init_ocean.f90	(revision 1322)
@@ -20,4 +20,5 @@
 ! Current revisions:
 ! -----------------
+! REAL constants defined as wp_kind
 !
 ! Former revisions:
@@ -87,5 +88,5 @@
 !-- and the reference density (used later in buoyancy term)
 !-- First step: Calculate pressure using reference density
-    hyp(nzt+1) = surface_pressure * 100.0
+    hyp(nzt+1) = surface_pressure * 100.0_wp
 
     hyp(nzt)      = hyp(nzt+1) + rho_surface * g * 0.5 * dzu(nzt+1)
Index: /palm/trunk/SOURCE/init_pegrid.f90
===================================================================
--- /palm/trunk/SOURCE/init_pegrid.f90	(revision 1321)
+++ /palm/trunk/SOURCE/init_pegrid.f90	(revision 1322)
@@ -19,5 +19,6 @@
 !
 ! Current revisions:
-! -----------------
+! ------------------
+! REAL functions provided with KIND-attribute
 !
 ! Former revisions:
@@ -174,5 +175,5 @@
 !
 !--    Automatic determination of the topology
-       numproc_sqr = SQRT( REAL( numprocs ) )
+       numproc_sqr = SQRT( REAL( numprocs, KIND=wp ) )
        pdims(1)    = MAX( numproc_sqr , 1 )
        DO  WHILE ( MOD( numprocs , pdims(1) ) /= 0 )
Index: /palm/trunk/SOURCE/init_pt_anomaly.f90
===================================================================
--- /palm/trunk/SOURCE/init_pt_anomaly.f90	(revision 1321)
+++ /palm/trunk/SOURCE/init_pt_anomaly.f90	(revision 1322)
@@ -20,4 +20,5 @@
 ! Current revisions:
 ! -----------------
+! REAL constants defined as wp_kind
 !
 ! Former revisions:
@@ -93,5 +94,5 @@
              radius = SQRT( x**2 + y**2 + z**2 )
              IF ( radius <= rc )  THEN
-                betrag = 5.0 * EXP( -( radius * 0.001 / 2.0 )**2 )
+                betrag = 5.0 * EXP( -( radius * 0.001_wp / 2.0_wp )**2 )
              ELSE
                 betrag = 0.0
Index: /palm/trunk/SOURCE/init_rankine.f90
===================================================================
--- /palm/trunk/SOURCE/init_rankine.f90	(revision 1321)
+++ /palm/trunk/SOURCE/init_rankine.f90	(revision 1322)
@@ -20,4 +20,5 @@
 ! Current revisions:
 ! -----------------
+! REAL constants defined as wp_kind
 !
 ! Former revisions:
@@ -111,7 +112,7 @@
           radius = SQRT( x**2 + y**2 )
           IF ( radius <= 2.0 * rc )  THEN
-             betrag = radius / ( 2.0 * rc ) * 0.08
+             betrag = radius / ( 2.0 * rc ) * 0.08_wp
           ELSEIF ( radius > 2.0 * rc  .AND.  radius < 8.0 * rc )  THEN
-             betrag = 0.08 * EXP( -( radius - 2.0 * rc ) / 2.0 )
+             betrag = 0.08 * EXP( -( radius - 2.0_wp * rc ) / 2.0_wp )
           ELSE
              betrag = 0.0
@@ -120,7 +121,7 @@
           IF ( x == 0.0 )  THEN
              IF ( y > 0.0 )  THEN
-                alpha = pi / 2.0
+                alpha = pi / 2.0_wp
              ELSEIF ( y < 0.0 )  THEN
-                alpha = 3.0 * pi / 2.0
+                alpha = 3.0 * pi / 2.0_wp
              ENDIF
           ELSE
@@ -129,5 +130,5 @@
              ELSE
                 IF ( y < 0.0 )  THEN
-                   alpha = ATAN( y / x ) + 2.0 * pi
+                   alpha = ATAN( y / x ) + 2.0_wp * pi
                 ELSE
                    alpha = ATAN( y / x )
@@ -152,7 +153,7 @@
           radius = SQRT( x**2 + y**2 )
           IF ( radius <= 2.0 * rc )  THEN
-             betrag = radius / ( 2.0 * rc ) * 0.08
+             betrag = radius / ( 2.0_wp * rc ) * 0.08_wp
           ELSEIF ( radius > 2.0 * rc  .AND.  radius < 8.0 * rc )  THEN
-             betrag = 0.08 * EXP( -( radius - 2.0 * rc ) / 2.0 )
+             betrag = 0.08 * EXP( -( radius - 2.0_wp * rc ) / 2.0_wp )
           ELSE
              betrag = 0.0
@@ -161,7 +162,7 @@
           IF ( x == 0.0 )  THEN
              IF ( y > 0.0 )  THEN
-                alpha = pi / 2.0
+                alpha = pi / 2.0_wp
              ELSEIF ( y < 0.0 )  THEN
-                alpha = 3.0 * pi / 2.0
+                alpha = 3.0 * pi / 2.0_wp
              ENDIF
           ELSE
@@ -170,5 +171,5 @@
              ELSE
                 IF ( y < 0.0 )  THEN
-                   alpha = ATAN( y / x ) + 2.0 * pi
+                   alpha = ATAN( y / x ) + 2.0_wp * pi
                 ELSE
                    alpha = ATAN( y / x )
Index: /palm/trunk/SOURCE/init_slope.f90
===================================================================
--- /palm/trunk/SOURCE/init_slope.f90	(revision 1321)
+++ /palm/trunk/SOURCE/init_slope.f90	(revision 1322)
@@ -20,4 +20,5 @@
 ! Current revisions:
 ! -----------------
+! REAL constants defined as wp_kind
 !
 ! Former revisions:
@@ -109,7 +110,7 @@
 !
 !--       Compute temperatures in the rotated coordinate system
-          alpha    = alpha + alpha_surface / 180.0 * pi
+          alpha    = alpha + alpha_surface / 180.0_wp * pi
           pt_value = pt_surface + radius * SIN( alpha ) * &
-                                  pt_vertical_gradient(1) / 100.0
+                                  pt_vertical_gradient(1) / 100.0_wp
           pt_slope_ref(k,i) = pt_value
        ENDDO                
@@ -120,5 +121,5 @@
 !-- used for the cyclic boundary in x-direction
     pt_slope_offset = (nx+1) * dx * sin_alpha_surface * &
-                      pt_vertical_gradient(1) / 100.0
+                      pt_vertical_gradient(1) / 100.0_wp
 
 
Index: /palm/trunk/SOURCE/local_tremain.f90
===================================================================
--- /palm/trunk/SOURCE/local_tremain.f90	(revision 1321)
+++ /palm/trunk/SOURCE/local_tremain.f90	(revision 1322)
@@ -20,4 +20,5 @@
 ! Current revisions:
 ! -----------------
+! REAL constants defined as wp_kind
 !
 ! Former revisions:
@@ -69,5 +70,5 @@
 #if defined( __ibm )
 
-    actual_wallclock_time = IRTC( ) * 1E-9
+    actual_wallclock_time = IRTC( ) * 1E-9_wp
     remaining_time = maximum_cpu_time_allowed - &
                      ( actual_wallclock_time - initial_wallclock_time )
@@ -76,5 +77,5 @@
 
     CALL SYSTEM_CLOCK( count, count_rate )
-    actual_wallclock_time = REAL( count ) / REAL( count_rate )
+    actual_wallclock_time = REAL( count, KIND=wp ) / REAL( count_rate, KIND=wp )
     remaining_time = maximum_cpu_time_allowed - &
                      ( actual_wallclock_time - initial_wallclock_time )
Index: /palm/trunk/SOURCE/local_tremain_ini.f90
===================================================================
--- /palm/trunk/SOURCE/local_tremain_ini.f90	(revision 1321)
+++ /palm/trunk/SOURCE/local_tremain_ini.f90	(revision 1322)
@@ -20,4 +20,5 @@
 ! Current revisions:
 ! -----------------
+! REAL constants defined as wp_kind
 !
 ! Former revisions:
@@ -67,10 +68,10 @@
 #if defined( __ibm )
 
-    initial_wallclock_time = IRTC( ) * 1E-9
+    initial_wallclock_time = IRTC( ) * 1E-9_wp
 
 #elif defined( __lc )
 
     CALL SYSTEM_CLOCK( count, count_rate )
-    initial_wallclock_time = REAL( count ) / REAL( count_rate )
+    initial_wallclock_time = REAL( count, KIND=wp ) / REAL( count_rate, KIND=wp )
 
 #else
Index: /palm/trunk/SOURCE/lpm_advec.f90
===================================================================
--- /palm/trunk/SOURCE/lpm_advec.f90	(revision 1321)
+++ /palm/trunk/SOURCE/lpm_advec.f90	(revision 1322)
@@ -20,4 +20,5 @@
 ! Current revisions:
 ! ------------------
+! REAL constants defined as wp_kind
 !
 ! Former revisions:
@@ -186,6 +187,6 @@
 !
 !--          Determine the sublayer. Further used as index.
-             height_p     = ( particles(n)%z - z0_av_global )           &
-                                  * REAL( number_of_sublayers )         &
+             height_p     = ( particles(n)%z - z0_av_global )            &
+                                  * REAL( number_of_sublayers, KIND=wp ) &
                                   * d_z_p_z0 
 !
@@ -210,5 +211,5 @@
              us_int = 0.5 * ( us(j,i) + us(j,i-1) )  
 
-             u_int  = -usws(j,i) / ( us_int * kappa + 1E-10 )           & 
+             u_int  = -usws(j,i) / ( us_int * kappa + 1E-10_wp )           & 
                       * log_z_z0_int 
 
@@ -277,5 +278,5 @@
               us_int = 0.5 * ( us(j,i) + us(j-1,i) )    
 
-              v_int  = -vsws(j,i) / ( us_int * kappa + 1E-10 )             &
+              v_int  = -vsws(j,i) / ( us_int * kappa + 1E-10_wp )             &
                        * log_z_z0_int 
 
@@ -1093,8 +1094,8 @@
           ENDIF
 
-          vv_int = ( 1.0 / 3.0 ) * ( aa + bb + cc )
-
-          fs_int = ( 2.0 / 3.0 ) * e_mean_int / &
-                      ( vv_int + ( 2.0 / 3.0 ) * e_mean_int )
+          vv_int = ( 1.0_wp / 3.0_wp ) * ( aa + bb + cc )
+
+          fs_int = ( 2.0_wp / 3.0_wp ) * e_mean_int / &
+                      ( vv_int + ( 2.0_wp / 3.0_wp ) * e_mean_int )
 
 !
@@ -1126,9 +1127,9 @@
 !--          from becoming unrealistically large.
              particles(n)%rvar1 = SQRT( 2.0 * sgs_wfu_part * e_int ) * &
-                                        ( random_gauss( iran_part, 5.0 ) - 1.0 )
+                                        ( random_gauss( iran_part, 5.0_wp ) - 1.0_wp )
              particles(n)%rvar2 = SQRT( 2.0 * sgs_wfv_part * e_int ) * &
-                                        ( random_gauss( iran_part, 5.0 ) - 1.0 )
+                                        ( random_gauss( iran_part, 5.0_wp ) - 1.0_wp )
              particles(n)%rvar3 = SQRT( 2.0 * sgs_wfw_part * e_int ) * &
-                                        ( random_gauss( iran_part, 5.0 ) - 1.0 )
+                                        ( random_gauss( iran_part, 5.0_wp ) - 1.0_wp )
 
           ELSE
@@ -1168,5 +1169,5 @@
                                   ) * dt_particle / 2.0          +             &
                                   SQRT( fs_int * c_0 * diss_int ) *            &
-                                  ( random_gauss( iran_part, 5.0 ) - 1.0 ) *   &
+                                  ( random_gauss( iran_part, 5.0_wp ) - 1.0_wp ) *   &
                                   SQRT( dt_particle )
 
@@ -1177,7 +1178,7 @@
                                     particles(n)%rvar2 /                       &
                                     ( 2.0 * sgs_wfv_part * e_int ) + de_dy_int &
-                                  ) * dt_particle / 2.0          +             &
+                                  ) * dt_particle / 2.0_wp          +             &
                                   SQRT( fs_int * c_0 * diss_int ) *            &
-                                  ( random_gauss( iran_part, 5.0 ) - 1.0 ) *   &
+                                  ( random_gauss( iran_part, 5.0_wp ) - 1.0_wp ) *   &
                                   SQRT( dt_particle )
 
@@ -1188,7 +1189,7 @@
                                     particles(n)%rvar3 /                       &
                                     ( 2.0 * sgs_wfw_part * e_int ) + de_dz_int &
-                                  ) * dt_particle / 2.0          +             &
+                                  ) * dt_particle / 2.0_wp         +             &
                                   SQRT( fs_int * c_0 * diss_int ) *            &
-                                  ( random_gauss( iran_part, 5.0 ) - 1.0 ) *   &
+                                  ( random_gauss( iran_part, 5.0_wp ) - 1.0_wp ) *   &
                                   SQRT( dt_particle )
 
@@ -1252,5 +1253,5 @@
                                 ( v_int - particles(n)%speed_y )**2 +   &
                                 ( w_int - particles(n)%speed_z )**2 ) / &
-                                         molecular_viscosity )**0.687   &
+                                         molecular_viscosity )**0.687_wp   &
                         )
              exp_term = EXP( -exp_arg * dt_particle )
